# char-info
![Travic CI](https://travis-ci.org/GregRos/char-info.svg?branch=master)
![Codecov](https://codecov.io/gh/GregRos/char-info/branch/master/graph/badge.svg)
![NPM](https://badge.fury.io/js/char-info.svg)

[API Documentation](https://gregros.github.io/char-info/)

This is a library providing information about JavaScript Unicode characters. It's built with high performance in mind. Currently it only supports BMP (Basic Multilingual Plane) characters, which covers most common and uncommon symbols.

Symbols outside of the BMP include some mathematical symbols, ancient scripts, additional emojis/ideograms, etc. These can only be represented using two or more characters in JavaScript which, when rendered as text, appear as a single symbol.

It aims to support characters outside the BMP in the future.

Examples of the things you can do with this library:

1. Find out if a character is considered upper-case. This includes Latin script characters like A, B, C but also Greek ones like Γ. 
2. Find out if a character is an inline space, including all kinds of typographic/mathematical spaces such as EN SPACE, EM SPACE, and so on.

Bear in mind that although the library is designed to be fast, most operations still involve lookups in an internal tree data structure.

The library can be used on both client-side and server-side, though its code is probably larger than its function might suggest.